from turtle import *

def demi_cercle_haut(rayon,col):
    """dessine un demi-cercle bombé vers le haut de rayon rayon
    et de couleur col"""
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    forward(2*rayon)
    left(90)
    circle(rayon,180)
    left(90)
    end_fill()
    up()
    
    
def demi_cercle_bas(rayon,col):
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    forward(2*rayon)
    left(90)
    circle(rayon,-180)
    left(90)
    end_fill()
    up()
    
def demi_cercle_bas_allonge(rayon,col):
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    forward(3*rayon)
    left(90)
    circle(rayon,-90)
    backward(rayon)
    circle(rayon,-90)
    left(90)
    end_fill()
    up()

def cercle(rayon,col):
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    circle(rayon)
    end_fill()
    up()

def monter(hauteur):
    """ monte la tortue de hauteur pixels si elle est orientée vers la droite"""
    left(90)
    forward(hauteur)
    right(90)
    
def descendre(hauteur):
    """ descend la tortue de hauteur pixels si elle est orientée vers la droite"""
    right(90)
    forward(hauteur)
    left(90)
    
    
def etoile(longueur,col,angle):
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    for i in range(5):
        forward(longueur)
        right(72-angle)
        left(angle)
        forward(longueur)
        right(2*angle)
    end_fill()
    up()

def bouche():
    down()
    pencolor("black")
    pensize(3)
    right(90)
    circle(5,180)
    right(90)
    pensize(1)
    up()

def triangledroit(longueur,col):
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    right(90)
    forward(longueur)
    left(120)
    forward(2*longueur)
    left(120)
    forward(2*longueur)
    left(120)
    forward(longueur)
    left(90)
    end_fill()
    up()

def triangledroit2(longueur,col):
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    right(90)
    forward(1.65*longueur)
    left(145)
    forward(2*longueur)
    left(70)
    forward(2*longueur)
    left(145)
    forward(1.65*longueur)
    left(90)
    end_fill()
    #pencolor("black")
    #forward(60)
    up()

def triangledroitarrondi(longueur,col):
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    right(120)
    forward(longueur)
    left(90)
    circle(longueur,-120)
    left(90)
    forward(longueur)
    end_fill()
    left(60)
    up()
    
def triangledroitarrondi2(longueur,col):
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    right(90)
    forward(longueur)
    left(90)
    circle(2*longueur,60)
    left(60)
    circle(2*longueur,60)
    left(90)
    forward(longueur)
    left(90)
    end_fill()
    up()

def allonge_arrondi(rayon,col):
    down()
    pencolor(col)
    fillcolor(col)
    begin_fill()
    right(50)
    circle(rayon,100)
    left(80)
    circle(rayon,100)
    end_fill()
    left(130)
    up()
